con
  _clkfreq = 80_000_000
  _clkmode = xtal1 + pll16x

obj
  serial: "FullDuplexSerial"
  helper: "two"
  
var
  long  sharedValue

pub main | oldValue, newValue

  serial.start(31, 30, %0000, 115200)
  waitcnt(clkfreq*3 + cnt)
  
  sharedValue := -1                                     ' Initialize sharedValue to -1
  oldValue := helper.startCog(@sharedValue)             ' You could do the COGNEW here, but this illustrates more
  waitcnt(clkfreq/1000 + cnt)                           ' Wait 1ms
  newValue := sharedValue
  ' At this point, oldValue should be different from newValue because the cog should have started, changed sharedValue, then quit

  serial.hex(oldValue, 8)
  serial.tx(32)
  serial.hex(newValue, 8)
  serial.tx(13)

dat